# Update Traditional Load Balancer Properties - UpdateULBAttribute

## Overview

Update CLB name, business group notes, and other attribute fields






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateULBAttribute`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **ULBId** | string | CLB Resource ID |**Yes**|
| **Name** | string | Name, if not passed, the default is not to modify |No|
| **Tag** | string | Business, no modification by default if not transmitted |No|
| **Remark** | string | Note, if not passed, the default is not to modify |No|
| **EnableLog** | int | Log switch, 1 represents turning on the log, 0 represents turning off the log. When passing 1, you must also pass BucketName, and either TokenName or TokenId. |No|
| **BucketName** | string | Set the bucket for storing ULB logs |No|
| **TokenName** | string | Used to specify the token required for uploading to the bucket, one of either this or TokenId can be optionally filled. |No|
| **TokenId** | string | Used to specify the token required for uploading to the bucket, one of either this or TokenName can be filled in. |No|
| **IsWAFOn** | string | Whether to enable WAF. Enumerated type: Yes, No, the default value is No. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=UpdateULBAttribute
&Region=cn-bj2
&ProjectId=project-XXXX
&ULBId=ulb-XXXX
&Name=test
&Tag=test
&Remark=test
&EnableLog=4
&BucketName=vDcQKdYV
&TokenName=KKdfUrIJ
&TokenId=USFJSFIY
&IsWAFOn=obMkyjOy
```

### Response Example
    
```json
{
  "Action": "UpdateULBAttributeResponse",
  "RetCode": 0
}
```





